GDB (xrefs)

Macros | Functions
expect-read1.c File Reference
`#include <dlfcn.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Macros
#define | _GNU_SOURCE 1

## Functions
ssize_t | read (int fd, void *buf, size_t count)

## Macro Definition Documentation

## ◆ _GNU_SOURCE

#define _GNU_SOURCE 1

Definition at line 19 of file expect-read1.c.

## Function Documentation

## ◆ read()

ssize_t read | ( | int | fd,
|  | void * | buf,
|  | size_t | count
| ) |  |

Definition at line 26 of file expect-read1.c.

Referenced by aarch64_canonicalize_syscall(), add_reg(), agent_run_command(), append_user_reg(), async_file_flush(), darwin_ptrace_me(), fbsd_find_memory_regions(), gcore_create_callback(), gdb_select(), inf_child_fileio_pread(), iterate_over_mappings(), linux_find_memory_regions_full(), linux_find_memory_regions_thunk(), linux_proc_xfer_partial(), linux_proc_xfer_spu(), myread(), net_windows_wait_handle(), pipe_wait_handle(), proc_get_status(), procfs_pid_to_exec_file(), procfs_xfer_auxv(), procfs_xfer_memory(), stdio_file::read(), remote_fileio_func_read(), ser_base_read_error_fd(), ser_console_wait_handle(), ser_unix_read_prim(), ser_windows_wait_handle(), serial_event_clear(), spu_proc_xfer_spu(), tfile_read(), tui_readline_output(), user_reg_add(), user_reg_add_builtin(), and value_fetch_lazy().